Compatibility

Sparkle requires Mac OS X 10.9 Mavericks or later and runs smoothly on the latest 10.10 Yosemite, 10.11 El Capitan and 10.12 Sierra.

Websites generated with Sparkle have been tested in a variety of scenarios.

Specifically Sparkle websites work on all current versions of the major browsers of each platform:

Safari

Firefox

Microsoft Internet Explorer and Microsoft Edge

Google Chrome

and the mobile browsers:

  • Safari on iOS
  • The Android “Browser” (up to Android 4.x)
  • Google Chrome on Android

Compatibility and visuals are degraded in older versions, but very minor for browsers shipped in the past 3 years.

Sparkle has specific provisions and workarounds to make sites work on Internet Explorer back to version 8 with a visual degradation for some features, specifically non-opaque elements in some cases and partially transparent gradients.

Updated for Sparkle 2.1

Please report any shortcoming in this documentation and we’ll fix it as soon as possible!

This site uses cookies. Some are essential to make our site work; others help us improve the user experience. By using the site, you consent to the placement of these cookies. Read our privacy policy to learn mode.